Loading...
Searching...
No Matches
AVFilterLink Struct Reference
libavfilter

A link between two filters. More...

`#include <libavfilter/avfilter.h>`

## Data Fields

AVFilterContext * | src
| source filter
AVFilterPad * | srcpad
| output pad on the source filter
AVFilterContext * | dst
| dest filter
AVFilterPad * | dstpad
| input pad on the dest filter
enum AVMediaType | type
| filter media type
int | format
| agreed upon media format
int | w
| agreed upon image width
int | h
| agreed upon image height
AVRational | sample_aspect_ratio
| agreed upon sample aspect ratio
enum AVColorSpace | colorspace
| For non-YUV links, these are respectively set to fallback values (as appropriate for that colorspace).
enum AVColorRange | color_range
| agreed upon YUV color range
int | sample_rate
| samples per second
AVChannelLayout | ch_layout
| channel layout of current buffer (see libavutil/channel_layout.h)
AVRational | time_base
| Define the time base used by the PTS of the frames/samples which will pass through this link.
AVFrameSideData ** | side_data
int | nb_side_data
AVFilterFormatsConfig | incfg
| Lists of supported formats / etc.
AVFilterFormatsConfig | outcfg
| Lists of supported formats / etc.

## Detailed Description

A link between two filters.

This contains pointers to the source and destination filters between which this link exists, and the indexes of the pads involved. In addition, this link also contains the parameters which have been negotiated and agreed upon between the filter, such as image dimensions, format, etc.

Applications must not normally access the link structure directly. Use the buffersrc and buffersink API instead. In the future, access to the header may be reserved for filters implementation.

Examples
  decode_filter_audio.c.

Definition at line 390 of file avfilter.h.

## Field Documentation

## src

AVFilterContext* AVFilterLink::src

source filter

Definition at line 391 of file avfilter.h.

## srcpad

AVFilterPad* AVFilterLink::srcpad

output pad on the source filter

Definition at line 392 of file avfilter.h.

## dst

AVFilterContext* AVFilterLink::dst

dest filter

Definition at line 394 of file avfilter.h.

## dstpad

AVFilterPad* AVFilterLink::dstpad

input pad on the dest filter

Definition at line 395 of file avfilter.h.

## type

enum AVMediaType AVFilterLink::type

filter media type

Definition at line 397 of file avfilter.h.

## format

int AVFilterLink::format

agreed upon media format

Examples
  decode_filter_audio.c.

Definition at line 399 of file avfilter.h.

Referenced by init_filters().

## w

int AVFilterLink::w

agreed upon image width

Definition at line 402 of file avfilter.h.

## h

int AVFilterLink::h

agreed upon image height

Definition at line 403 of file avfilter.h.

## sample_aspect_ratio

AVRational AVFilterLink::sample_aspect_ratio

agreed upon sample aspect ratio

Definition at line 404 of file avfilter.h.

## colorspace

enum AVColorSpace AVFilterLink::colorspace

For non-YUV links, these are respectively set to fallback values (as appropriate for that colorspace).

Note: This includes grayscale formats, as these are currently treated as forced full range always. agreed upon YUV color space

Definition at line 412 of file avfilter.h.

## color_range

enum AVColorRange AVFilterLink::color_range

agreed upon YUV color range

Definition at line 413 of file avfilter.h.

## sample_rate

int AVFilterLink::sample_rate

samples per second

Examples
  decode_filter_audio.c.

Definition at line 416 of file avfilter.h.

Referenced by init_filters().

## ch_layout

AVChannelLayout AVFilterLink::ch_layout

channel layout of current buffer (see libavutil/channel_layout.h)

Examples
  decode_filter_audio.c.

Definition at line 417 of file avfilter.h.

Referenced by init_filters().

## time_base

AVRational AVFilterLink::time_base

Define the time base used by the PTS of the frames/samples which will pass through this link.

During the configuration stage, each filter is supposed to change only the output timebase, while the timebase of the input link is assumed to be an unchangeable property.

Definition at line 426 of file avfilter.h.

## side_data

AVFrameSideData** AVFilterLink::side_data

Definition at line 428 of file avfilter.h.

## nb_side_data

int AVFilterLink::nb_side_data

Definition at line 429 of file avfilter.h.

## incfg

AVFilterFormatsConfig AVFilterLink::incfg

Lists of supported formats / etc.

supported by the input filter.

Definition at line 442 of file avfilter.h.

## outcfg

AVFilterFormatsConfig AVFilterLink::outcfg

Lists of supported formats / etc.

supported by the output filter.

Definition at line 447 of file avfilter.h.

The documentation for this struct was generated from the following file:

- libavfilter/avfilter.h